<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab1"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;">NUEVA CITA</h1>
      </ion-col>
      <ion-col size="2">

      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
<ion-row class="pad ion-margin-top">
      <ion-col size="12" *ngIf="prospecto === true" class="ion-text-left">
        <ion-label color="primary">Cliente/Empresa</ion-label>
      </ion-col>

      <ion-col size="12" class="px-3">

          <!-- <ionic-selectable *ngIf="prospecto === true" placeholder="Selecciona una empresa" #portComponent  item-content  itemValueField="idEmpresas" itemTextField="Nombre_Empresa"
          [items]="empresasid" [canSearch]="true" (onChange)="obtenerifoempresa($event)" searchPlaceholder="Buscar" searchFailText="No hay resultados">
          <ng-template ionicSelectableHeaderTemplate>
            <ion-toolbar>
              <ion-row>
                <ion-col size="10">               
                  <ion-title style="text-align: end;">
                    Selecciona una empresa
                  </ion-title>
                </ion-col>
                <ion-col size="2">
                  <ion-buttons (click)="portComponent.close()">
                    <ion-icon name="close-circle-outline" style="font-size: 25px;"></ion-icon>
                  </ion-buttons>
                </ion-col>
              </ion-row>
            </ion-toolbar>
          </ng-template>
        </ionic-selectable> -->

        <ion-item style="
        border-radius: 12px;
        width: 100%;
        padding: 0px 5px 0px 10px !important;
        border: 1px solid black;
        font-size: 12px;" lines="none" (click)="modal('Busca el nombre de la empresa','empresa',idempresa, nombrempresa)"> 
          <ion-input [readonly]= 'true' lines="none" style="border-bottom: 0px solid black;margin-top: 0px!important;" *ngIf="nombrempresa"> {{ nombrempresa }}</ion-input>
          <ion-input [readonly]= 'true' lines="none" style="border-bottom: 0px solid black;margin-top: 0px!important;" *ngIf="!nombrempresa">Selecciona una empresa</ion-input>
          <ion-icon name="caret-down-outline" style="font-size: 15px;margin-top: 0px!important;"></ion-icon>
        </ion-item>

        <!-- <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Selecciona una empresa" [(ngModel)]="idempresa" *ngIf="prospecto === true" (ngModelChange)="obtenerifoempresa()">
          <ion-select-option disabled>**TUS EMPRESAS**</ion-select-option>
          <ion-select-option *ngFor="let nueva of empresasnuevas" value="{{nueva.idEmpresas}}">{{nueva.Nombre_Empresa}}</ion-select-option>
          <ion-select-option disabled>**TODAS LAS EMPRESAS**</ion-select-option>
          <ion-select-option *ngFor="let datos of empresasid" value="{{datos.idEmpresas}}">{{datos.Nombre_Empresa}}</ion-select-option>
        </ion-select> -->
      </ion-col>

      <ion-col *ngIf="cprospecto === true" size="12" class="ion-text-left">
        <ion-label color="primary">Prospecto</ion-label>
      </ion-col>

      <ion-col size="12" class="px-3">
        <ionic-selectable *ngIf="cprospecto === true" placeholder="Selecciona un prospecto" #portComponent1  item-content  itemValueField="idEmpresas" itemTextField="Nombre_Empresa"
        [items]="prospectoid" [canSearch]="true" (onChange)="obtenerifoempresa1($event)" searchPlaceholder="Buscar" searchFailText="No hay resultados">
        <ng-template ionicSelectableHeaderTemplate>
          <ion-toolbar>
            <ion-row>
              <ion-col size="10">               
                <ion-title style="text-align: end;">
                  Selecciona un prospecto
                </ion-title>
              </ion-col>
              <ion-col size="2">
                <ion-buttons (click)="portComponent1.close()">
                  <ion-icon name="close-circle-outline" style="font-size: 25px;"></ion-icon>
                </ion-buttons>
              </ion-col>
            </ion-row>
          </ion-toolbar>
        </ng-template>
      </ionic-selectable>
        <!-- <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Selecciona un prospecto" [(ngModel)]="idempresa" *ngIf="cprospecto === true"  (ngModelChange)="obtenerifoempresa1()">
          <ion-select-option *ngFor="let emp of prospectoid"  value="{{emp.idEmpresas}}">{{emp.Nombre_Empresa}}</ion-select-option>
        </ion-select> -->
      </ion-col>

      <ion-col size="12" *ngIf="prospecto === true" class="ion-text-left">
        <ion-label color="primary">Sucursal/Obra</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Selecciona una sucursal" *ngIf="prospecto === true" [(ngModel)]="idSO">
          <ion-select-option value="0" >Dirección principal</ion-select-option>
          <ion-select-option *ngFor="let suc of sucuO" value="{{ suc.idSO }}" >{{suc.nombreSO}}</ion-select-option>
        </ion-select>
      </ion-col>

      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Dirección</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-textarea rows="3" disabled>{{ direccion }}</ion-textarea>
      </ion-col>
      <ion-col size="12" class="ion-text-left">
        <ion-label color="primary">Motivo</ion-label>
      </ion-col>
      <ion-col size="12" class="px-3">
        <ion-input [(ngModel)]="Motivo" style="padding-left: 0px!important;padding-right: 0px!important; --padding-start:0px!important;">
        </ion-input>
      </ion-col>

      <ion-col size="12" class="ion-text-left mt-20" style="position:relative;">
        <ion-label color="primary">Adjuntar archivo</ion-label>
        <label for="archivot" id="labelt"></label>
        <input style="height: 0px;width: 0px;" type="file" id="archivot"
              (change)="onFileChanged($event)" class="hidden" multiple="true"
              accept="audio/*,video/*,.zip,.rar,.7zip,.xlsx,.xls,image/*,.doc, .docx,.ppt, .pptx,.txt,.pdf">
    </ion-col>
    <ion-col size="12">
      <div *ngFor="let archivonom of nombredearchivos; let i = index" class="row">
          <div class="col-md-12">
              <img *ngIf="tipodearchivo[i] === 'png' || tipodearchivo[i] === 'jpg'
              || tipodearchivo[i] === 'jpeg' || tipodearchivo[i] === 'gif'
              || tipodearchivo[i] === 'bmp' || tipodearchivo[i] === 'ico'"
              src="../../../assets/img/images-outline.svg" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'doc' || tipodearchivo[i] === 'dot'
              || tipodearchivo[i] === 'docx'"
              src="../../../assets/img/word.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'xls' || tipodearchivo[i] === 'xlsx'
              || tipodearchivo[i] === 'csv' || tipodearchivo[i] === 'xlk'
              || tipodearchivo[i] === 'xlm' || tipodearchivo[i] === 'ctt'"
              src="../../../assets/img/excel.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pps' || tipodearchivo[i] === 'ppt'
              || tipodearchivo[i] === 'pptx'"
              src="../../../assets/img/power.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'pdf'"
              src="../../../assets/img/pdf.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'zip' || tipodearchivo[i] === '7z'
              || tipodearchivo[i] === 'rar'"
              src="../../../assets/img/zip.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'mp3' || tipodearchivo[i] === 'mid'
              || tipodearchivo[i] === 'wav' || tipodearchivo[i] === 'aac'"
              src="../../../assets/img/musica.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] === 'avi' || tipodearchivo[i] === 'mkv'
              || tipodearchivo[i] === 'flv' || tipodearchivo[i] === 'mov'
              || tipodearchivo[i] === 'wmv' || tipodearchivo[i] === 'mp4'"
              src="../../../assets/img/video.png" width="10x" height="10px"
              class="mr-2 imgS">
              <img *ngIf="tipodearchivo[i] !== 'png' && tipodearchivo[i] !== 'jpg'
              && tipodearchivo[i] !== 'jpeg' && tipodearchivo[i] !== 'gif'
              && tipodearchivo[i] !== 'bmp' && tipodearchivo[i] !== 'ico' &&
              tipodearchivo[i] !== 'doc' && tipodearchivo[i] !== 'dot'
              && tipodearchivo[i] !== 'docx' && tipodearchivo[i] !== 'xls' && tipodearchivo[i] !== 'xlsx'
              && tipodearchivo[i] !== 'csv' && tipodearchivo[i] !== 'xlk'
              && tipodearchivo[i] !== 'xlm' && tipodearchivo[i] !== 'ctt' &&
              tipodearchivo[i] !== 'pps' && tipodearchivo[i] !== 'ppt'
              && tipodearchivo[i] !== 'pptx' && tipodearchivo[i] !== 'pdf' &&
              tipodearchivo[i] !== 'zip' && tipodearchivo[i] !== '7z'
              && tipodearchivo[i] !== 'rar' && tipodearchivo[i] !== 'mp3' && tipodearchivo[i] !== 'mid'
              && tipodearchivo[i] !== 'wav' && tipodearchivo[i] !== 'aac' &&
              tipodearchivo[i] !== 'avi' && tipodearchivo[i] !== 'mkv'
              && tipodearchivo[i] !== 'flv' && tipodearchivo[i] !== 'mov'
              && tipodearchivo[i] !== 'wmv' && tipodearchivo[i] !== 'mp4'"
              src="../../../assets/img/archivo.png" width="10x" height="10px"
              class="mr-2 imgS">

                  <label>{{archivonom}}</label><img (click)="quitararchivo(i)"
                  src="../../../assets/img/close-sharp.svg" class="pl-1 imgS" width="10px" height="10px">
          </div>
      </div>
    </ion-col>

    <ion-col size="12" class="ion-text-left mt-20">
      <ion-label color="primary">Recordatorio</ion-label>
    </ion-col>
    <ion-col size="12" class="px-3">
      <ion-select okText="Aceptar" cancelText="Cancelar" placeholder="Selecciona una opción" [(ngModel)]="idrecordatorio">
        <ion-select-option *ngFor="let recor of recordatorioinfO" value="{{ recor.idRecordatorios }}">{{recor.Tiempo}}</ion-select-option>
      </ion-select>
    </ion-col>

    <ion-col size="12" class="ion-text-left mt-20">
      <ion-label color="primary">Fecha y Hora</ion-label>
    </ion-col>
    <div class="row px-3">
      <div class="col-md-6">
        <label style="font-style: italic; color: #333333;">Inicia</label
        ><br />
        <label>Fecha</label>
        <input
          class="ml-4 input form-control"
          [(ngModel)]="fechainicio"
          type="date"
          (change)="fecha()"
          style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
        /><br />
        <label class="mt-3">Hora</label>
        <input
          class="ml-4 mt-3 input form-control"
          [(ngModel)]="horainicial"
          type="time"
          (change)="fecha()"
          style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
        /><br /><br />
        <label *ngIf="fechayhorainicial !== ''">{{
          fechayhorainicial
        }}</label>
        <label
          *ngIf="fechayhorainicial === ''"
          class="invalid-feedback d-block" style="color: red;"
          >Debes escoger una fecha o hora mayor a la actual</label
        >
      </div>
      <div class="col-md-6">
        <label style="font-style: italic; color: #333333;"
          >Termina</label
        ><br />
        <label> Fecha</label>
        <input
          class="ml-4 input form-control"
          [(ngModel)]="fechafinal"
          type="date"
          (change)="fecha1()"
          style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
        /><br />
        <label class="mt-3">Hora</label>
        <input
          class="ml-4 mt-3 input form-control"
          [(ngModel)]="horafinal"
          type="time"
          (change)="fecha1()"
         style="border-radius: 25px;padding-left: 5%;padding-right: 5%;border:none;background:#f2f2f2;"
        /><br /><br />
        <label *ngIf="fechayhorafinal !== ''">{{
          fechayhorafinal
        }}</label>
        <label
          *ngIf="fechayhorafinal === ''"
          class="invalid-feedback d-block" style="color: red;"
          >Debes escoger una fecha o hora mayor a la fecha de
          inicio</label
        >
      </div>
    </div>
    </ion-row>

    <ion-row class="ion-margin-bottom mt-20">
      <ion-col size="12" class="ion-text-center">
        <ion-button color="primary" (click)="crearcita()" [disabled]="idempresa === '' || Motivo === '' || fechainicio === undefined || horainicial === undefined || fechafinal === undefined || horafinal === undefined || idrecordatorio === '' || fechayhorafinal === undefined || fechayhorainicial === undefined ">
          <ion-icon name="paper-plane-sharp" class="mr-1"></ion-icon>
        CREAR
        </ion-button>
      </ion-col>
    </ion-row>

</ion-content>
